## org.apache.mahout.fpm.pfpgrowth.fpgrowth2
Class FPTree.FPNode

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.fpgrowth2.FPTree.FPNode

Enclosing class:
  FPTree

    public static final class FPTree.FPNode

extends Object

Method Summary
`void` `accumulate(long incr)`
`int` `attribute()`
`FPTree.FPNode` `child(int attribute)`
`Iterable<FPTree.FPNode>` `children()`
`long` `count()`
`int` `numChildren()`
`FPTree.FPNode` `parent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### children

    public Iterable<FPTree.FPNode> children()

### numChildren

    public int numChildren()

### parent

    public FPTree.FPNode parent()

### child

    public FPTree.FPNode child(int attribute)

### attribute

    public int attribute()

### accumulate

    public void accumulate(long incr)

### count

    public long count()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.